-- frmAbout.lua
-- written by Habna

--v IMPORT SECTION v--

--^ IMPORT SECTION ^--
--v GLOBAL VARIABLE SECTION v--

--^ GLOBAL VARIABLE SECTION ^--

function frmAbout()
	green = Turbine.UI.Color( 0, 0.77, 0 );
	white = Turbine.UI.Color( 1, 1, 1 );
	gray = Turbine.UI.Color( 0.5, 0.5, 0.5 );
	lightgray = Turbine.UI.Color(0.5, 0.3, 0.3, 0.3);
	black = Turbine.UI.Color()

	self = Turbine.UI.Lotro.Window()
	--self = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	self:SetSize( 350, 300 );
	--local screenWidth, screenHeight = Turbine.UI.Display.GetSize()
	--local winWidth, winHeight = self:GetSize();
	--local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    --self:SetPosition( left, top );
	self:SetPosition( WinLocX, WinLocY );
	self:SetText( "About HugeBag" )
	self:SetBackColor( black )
	self:SetVisible( true )
	self:SetZOrder(1000)
	-- **^
	--**v Title & version Label v**
	lblTitle = Turbine.UI.Label();
	lblTitle:SetParent( self );
	lblTitle:SetText( "HugeBag v" .. Version );
	lblTitle:SetPosition( 20, 40);
	lblTitle:SetSize( 100 , 25 );
	lblTitle:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	lblTitle:SetForeColor( green );
	lblTitle:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^
	--**v Description Label v**
	lblDes = Turbine.UI.Label();
	lblDes:SetParent( self );
	lblDes:SetText( "This plugin is a replacement of the in-game bags into one HUGEBAG. This bag as several options so you can customisez it to your needs. Just to mention a few, you can change the startup visibility, leave the bag open when the 'esc' key is press, you can resize it from both bottom corner, lock/unlock is position and size, but the most important is you can see the number of free slots and used in your bag. The see more options right click the 'Top Left' corner. Options & shell commands varies depending of the mode your are using." );
	lblDes:SetPosition( 20, 60);
	lblDes:SetSize( 300, 170 );
	lblDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	lblDes:SetForeColor( white );
	lblDes:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^
	--**v Set WaterMark Label v**
	WMlabel = Turbine.UI.Label();
	WMlabel:SetParent( self );
	WMlabel:SetText( "The HugeBag code was originally written by Rod of Turbine and extended by Habna" );
	WMlabel:SetPosition( 20, 235);
	WMlabel:SetSize( 300, 25 );
	WMlabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WMlabel:SetForeColor( green );
	WMlabel:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^
	-- **v To create a new button v**
	local buttonClose = Turbine.UI.Lotro.Button();
	buttonClose:SetParent( self );
	buttonClose:SetPosition( 245, 267 );
	buttonClose:SetSize( 75, 150 );
	buttonClose:SetText( "Close" );
	buttonClose:SetVisible( true );
	-- **^
	--^ SETTINGS SECTION ^--
	--v EVENT HANDLERS SECTION v--
	--**v Window event handlers v**
	-- **v Set the opacity when the mouse enter the window v**
	self.MouseEnter = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	-- **v Set the opacity when the mouse leave the window v**
	self.MouseLeave = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	--**^ Window event handlers ^**
	--**v Button event handlers v**
	-- **v Button click event v**
	buttonClose.Click = function(sender, args)
		self:Close();
	end
	-- **^
	--**^ Button event handlers ^**
	--^ EVENT HANDLERS SECTION ^--
end
-- **^