-- function.lua
-- Written By Habna

-- **v Show Help Info v**
function ReloadHugeBag()
	UnloadHugeBag()
	--LoadHugeBag()
end
-- **^
-- **v Show Help Info v**
function UnloadHugeBag()
	write( "HugeBag: Unloaded" );
	Turbine.PluginManager.UnloadScriptState( "HugeBag" );
end
-- **^
-- **v Hide HugeBag v**
function HideHugeBag()
	if ( not frmMain:IsVisible() ) then
		write( "HugeBag: Impossible, I'm already hidden" );
	else
		frmMain:SetVisible( false );
		--write( "HugeBag: I'm now hidden" );
	end
end
-- **^
-- **v Lock HugeBag Position v**
function LockHugeBagPosition()
	LockPosition = ( not LockPosition );
	SaveSettings()
	if ( LockPosition ) then
		LockLabel:SetVisible( true );
		write( "HugeBag: My position is now lock." );
	else
		LockLabel:SetVisible( false );
		write( "HugeBag: My position is now unlock." );
	end
end
-- **^
-- **v Lock HugeBag Position v**
function LockHugeBagSize()
	LockSize = ( not LockSize );
	SaveSettings()
	if ( LockSize ) then
		write( "HugeBag: My size is now lock." );
	else
		write( "HugeBag: My size is now unlock." );
	end
end
-- **^
-- **v Hide HugeBag v**
function ShowHugeBag()
	if ( frmMain:IsVisible() ) then
		write( "HugeBag: Impossible, I'm already visible" );
	else
		frmMain:SetVisible( true );
		--write( "HugeBag: I'm now visible" );
	end
end
-- **^
-- **v Show Version v**
function VersionInfo()
	write( "HugeBag: My current version is: v" .. Version );
end
-- **^
-- **v Show Authors v**
function AuthorsInfo()
	write( "HugeBag: My current authors are: Rod and Almagnus1. Extended by Habna" );
end
-- **^
-- **v Show Shell Command window v**
function HelpInfo()
	--write( "\n ** HugeBag v" .. Version .. " commands **\nshow/hide: Show or Hide HugeBag\nresetall: Reset all settings to default\nresetls: Reset location and size settings to default\nslotsinfo: Show free, used and max slots in shell\ntogglewesc: Toggle hide HugeBag event when the 'esc' key is press\ntoggleused: Toggle to show free or used slots info in title\ntoggleslots: Show or hide slots information in title\ntoggleshow: Show or hide HugeBag at startup\nlocksize: Lock/unlock HugeBag size\nlockpos: Lock/unlock HugeBag position\nabout: Show the 'About' window\nhelp/?: Show HugeBag shell commands" );	
	import "HabnaPlugins.HugeBag.frmShellCmd"; -- LUA frmShellCmd file
	frmShellCmd()
end
-- **^
-- **v Show Slots Info v**
function SlotsInfo()
	local usedslots = backpackSize - freeslots;
	write( "HugeBag: I have " .. freeslots .. " free slots, " .. usedslots .. " used slots and " .. backpackSize .. " max slots" );
end
-- **^
-- **v Toggle Startup Visibility v**
function ToggleShow()
	StartVisible = ( not StartVisible );
	SaveSettings()
	if ( StartVisible ) then
		write( "HugeBag: I will load visibile next time" );
	else
		write( "HugeBag: I will load hidden next time" );
	end
end
-- **^
-- **v Toggle Slots Info v**
function ToggleSlotsInfo()
	ShowSlotsInfo = ( not ShowSlotsInfo );
	SaveSettings()
	frmMain:PrintTitle()
	if ( ShowSlotsInfo ) then
		write( "HugeBag: Now showing slots informations in the title" );
	else
		write( "HugeBag: Not showing slots informations in the title" );
	end
end
-- **^
-- **v Toggle Slots Info to show free or used slots v**
function ToggleFreeUsed()
	ToggleUsed = ( not ToggleUsed );
	SaveSettings()
	frmMain:PrintTitle()
	if ( ToggleUsed ) then
		write( "HugeBag: Now showing used slots informations in the title" );
	else
		write( "HugeBag: Now showing free slots informations in the title" );
	end
end
-- **^
-- **v Toggle the ability to hide are not HugeBag when the 'esc' key is press v**
function ToggleWEsc()
	HideWEsc = ( not HideWEsc );
	SaveSettings()
	if ( HideWEsc ) then
		write( "HugeBag: I will hide when 'esc' key is press" );
	else
		write( "HugeBag: I will stay visible when 'esc' key is press" );
	end
end
-- **^
-- **v Show About window v**
function ShowAbout()
	import "HabnaPlugins.HugeBag.frmAbout"; -- LUA frmAbout file
	frmAbout()
end
-- **^
-- **v Show Settings window v**
function ShowCurrentSettings()
	frmSettings()
end
-- **^
-- **v Toggle to use widget mode are not v**
function ToggleWidgetMode()
	Widget = ( not Widget );
	SaveSettings()
	if ( Widget ) then
		write( "HugeBag: Will load in widget mode next time" );
	else
		write( "HugeBag: Will load in window mode next time" );
	end
end
-- **^
-- **v Options List v**
function LoadListOptionsName()
	OptionNameList[1]= "Show slots info in title: "
	OptionNameList[2]= "Slots info to show in title: "
	OptionNameList[3]= "Start visible at startup: "
	OptionNameList[4]= "Hide HugeBag when 'esc' key is press: "
	OptionNameList[5]= "Size locker activated: "
	OptionNameList[6]= "Position locker activated: "
	OptionNameList[7]= "HugeBag mode: "
end
-- **^
-- **v Shell command List v**
function LoadShellCommandName()
	ShellCommandName[1]= "show"
	ShellCommandName[2]= "hide"
	ShellCommandName[3]= "unload"
	ShellCommandName[4]= "reload"
	ShellCommandName[5]= "resetall"
	ShellCommandName[6]= "togglewesc"
	ShellCommandName[7]= "toggleshow"
	ShellCommandName[8]= "togglewidget"
	ShellCommandName[9]= "about"
	ShellCommandName[10]= "curopt"
	ShellCommandName[11]= "version"
	ShellCommandName[12]= "authors"
	ShellCommandName[13]= "help/?"

	ShellCommandName[14]= "resetls"
	ShellCommandName[15]= "slotsinfo"
	ShellCommandName[16]= "toggleused"
	ShellCommandName[17]= "toggleslots"
	ShellCommandName[18]= "locksize"
	ShellCommandName[19]= "lockpos"
end
-- **^
--\nhelp/?: Show HugeBag shell commands" );	
-- **v Shell Command description list v**
function LoadShellCommandDes()
	ShellCommandDes[1]= "Show HugeBag"
	ShellCommandDes[2]= "Hide HugeBag"
	ShellCommandDes[3]= "unload HugeBag (NOT WORKING)"
	ShellCommandDes[4]= "reload HugeBag (NOT WORKING)"
	ShellCommandDes[5]= "Reset all settings to default"
	ShellCommandDes[6]= "Toggle hide HugeBag event when the 'esc' key is press"
	ShellCommandDes[7]= "Show or hide HugeBag at startup"
	ShellCommandDes[8]= "Toggle between widget and window mode"
	ShellCommandDes[9]= "Show the 'About' window"
	ShellCommandDes[10]= "Show HugeBag 'Options'"
	ShellCommandDes[11]= "Show HugeBag version in shell"
	ShellCommandDes[12]= "Show HugeBag authors in shell"
	ShellCommandDes[13]= "Show HugeBag shell commands/?"

	ShellCommandDes[14]= "Reset location and size settings to default"
	ShellCommandDes[15]= "Show free, used and max slots in shell"
	ShellCommandDes[16]= "Toggle to show free or used slots info in title"
	ShellCommandDes[17]= "Show or hide slots information in title"
	ShellCommandDes[18]= "Lock/unlock HugeBag size"
	ShellCommandDes[19]= "Lock/unlock HugeBag position"
end

function SortHugeBag()
	
end
-- **^