-- frmAbout.lua
-- written by Habna

--v IMPORT SECTION v--

--^ IMPORT SECTION ^--
--v GLOBAL VARIABLE SECTION v--

--^ GLOBAL VARIABLE SECTION ^--

function frmShellCmd()
	green = Turbine.UI.Color( 0, 0.77, 0 );
	white = Turbine.UI.Color( 1, 1, 1 );
	gray = Turbine.UI.Color( 0.5, 0.5, 0.5 );
	lightgray = Turbine.UI.Color(0.5, 0.3, 0.3, 0.3);
	black = Turbine.UI.Color()

	self = Turbine.UI.Lotro.Window()
	--self = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	self:SetSize( 525, 50 );
	local screenWidth, screenHeight = Turbine.UI.Display.GetSize()
	local winWidth, winHeight = self:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    self:SetPosition( left, top );
	--self:SetPosition( WinLocX, WinLocY );
	self:SetText( "HugeBag Shell Commands" )
	self:SetBackColor( black )
	self:SetVisible( true )
	self:SetZOrder(1000)
	-- **^
	-- **^
	LoadShellCommandName()
	LoadShellCommandDes()
	--**v Shell command v**
	local PosY = 40;
	local Max = 19;
	if ( Widget ) then
		self:SetText( "HugeBag Widget Shell Commands" )
		Max = 13;
	end
	for i = 1, Max do
		local lblShell = Turbine.UI.Label();
		lblShell:SetParent( self );
		--lblShell:SetFont ( 12 );
		lblShell:SetText( ShellCommandName[i] );
		lblShell:SetPosition( 10, PosY );
		lblShell:SetSize( 85, 18 );
		lblShell:SetForeColor( green );
		lblShell:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );

		local lblShellDes = Turbine.UI.Label();
		lblShellDes:SetParent( self );
		--lblShellDes:SetFont ( 12 );
		lblShellDes:SetText( ShellCommandDes[i] );
		lblShellDes:SetPosition( 100, PosY );
		lblShellDes:SetSize( self:GetWidth() - lblShellDes:GetLeft(), 18 );
		lblShellDes:SetForeColor( white );
		lblShellDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		PosY = PosY + 15;
		self:SetHeight( PosY );
	end
	self:SetHeight( PosY + 20 );
	--**^
	-- **v Close button v**
	local buttonClose = Turbine.UI.Lotro.Button();
	buttonClose:SetParent( self );
	buttonClose:SetPosition( 400, PosY - 10 );
	--buttonClose:SetSize( 75, 150 );
	buttonClose:SetWidth( 75 );
	buttonClose:SetText( "Close" );
	buttonClose:SetVisible( true );
	-- **^
	--^ SETTINGS SECTION ^--
	--v EVENT HANDLERS SECTION v--
	--**v Window event handlers v**
	-- **v Set the opacity when the mouse enter the window v**
	self.MouseEnter = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	-- **v Set the opacity when the mouse leave the window v**
	self.MouseLeave = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	--**^ Window event handlers ^**
	--**v Button event handlers v**
	-- **v Button click event v**
	buttonClose.Click = function(sender, args)
		self:Close();
	end
	-- **^
	--**^ Button event handlers ^**
	--^ EVENT HANDLERS SECTION ^--
end
-- **^